### Method

# Gtk TextBuffer move_mark

#### Declaration [src]

    void
    gtk_text_buffer_move_mark (
      GtkTextBuffer* buffer,
      GtkTextMark* mark,
      const GtkTextIter* where
    )

#### Description [src]

Moves `mark` to the new location `where`.

Emits the `GtkTextBuffer::mark-set` signal as notification of the move.

#### Parameters

`mark` | `GtkTextMark`
| A `GtkTextMark`.
| The data is owned by the caller of the function.
`where` | `GtkTextIter`
| New location for `mark` in `buffer`.
| The data is owned by the caller of the function.